
<!---
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
-->
# Apache Pig Changelog

## Release 0.17.1 - Unreleased (as of 2018-10-20)



### BUG FIXES:

| JIRA | Summary | Priority | Component | Reporter | Contributor |
|:---- |:---- | :--- |:---- |:---- |:---- |
| [PIG-5262](https://issues.apache.org/jira/browse/PIG-5262) | Fix jdiff related issues: fail build upon error, correct xml character escaping |  Major | . | Adam Szita | Adam Szita |
| [PIG-4548](https://issues.apache.org/jira/browse/PIG-4548) | Records Lost With Specific Combination of Commands and Streaming Function |  Major | . | Steve T | Koji Noguchi |
| [PIG-5254](https://issues.apache.org/jira/browse/PIG-5254) | Hit Ctrl-D to quit grunt shell fail |  Major | impl | Daniel Dai | Weijun Qian |
| [PIG-5299](https://issues.apache.org/jira/browse/PIG-5299) | PartitionFilterOptimizer failing at compile time |  Major | . | Koji Noguchi | Koji Noguchi |
| [PIG-5341](https://issues.apache.org/jira/browse/PIG-5341) | PigStorage with -tagFile/-tagPath produces incorrect results with column pruning |  Critical | . | Koji Noguchi | Koji Noguchi |
| [PIG-5355](https://issues.apache.org/jira/browse/PIG-5355) | Negative progress report by HBaseTableRecordReader |  Major | . | Satish Subhashrao Saley | Satish Subhashrao Saley |


